package com.common.im.contract;

import android.content.Context;

import com.common.im.bean.ContactListBean;
import com.cooleshow.base.presenter.view.BaseView;

import java.util.List;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface ContactListFragmentContract {

    interface ContactListFragmentView extends BaseView {
        void getFriendListSuccess(List<ContactListBean> contactListBeans);

        void getFriendListError();
    }

    interface Presenter {
        void queryFriendList(Context context, String searchCondition);
    }
}
